<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingHorizontal="16dp"
    android:paddingTop="16dp">

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="42dp"
        android:layout_height="42dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@id/v_evaluate"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        tools:text="UserName UserName UserName UserName UserName" />

    <com.adealink.weparty.commonui.widget.EvaluateView
        android:id="@+id/v_evaluate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:evaluate_current="0"
        app:evaluate_divide="2dp"
        app:evaluate_enable="false"
        app:evaluate_max="5"
        app:evaluate_width="13dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_name"
        tools:evaluate_current="3" />

    <com.adealink.weparty.commonui.text.EllipsisAwareTextView
        android:id="@+id/tv_comment"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:layout_marginEnd="4dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:maxLines="3"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="@id/tv_name"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        tools:text="UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName UserName" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_expand"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/common_expand"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        android:visibility="gone"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="@id/tv_time"
        app:layout_constraintTop_toBottomOf="@id/tv_comment"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="@id/tv_name"
        app:layout_constraintTop_toBottomOf="@id/tv_expand"
        tools:text="28/10" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/right_barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="tv_time, tv_expand, iv_avatar" />

    <View
        android:id="@+id/v_bottom_divicer"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="18dp"
        android:background="@color/color_FFF2F3F5"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/right_barrier"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>